# Settings ## Get zone-level Waiting Room settings `client.waitingRooms.settings.get(SettingGetParamsparams, RequestOptionsoptions?): SettingGetResponse` **get** `/zones/{zone_id}/waiting_rooms/settings` Get zone-level Waiting Room settings ### Parameters - `params: SettingGetParams` - `zone_id: string` Identifier. ### Returns - `SettingGetResponse` - `search_engine_crawler_bypass: boolean` Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const setting = await client.waitingRooms.settings.get({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(setting.search_engine_crawler_bypass); ``` #### Response ```json { "result": { "search_engine_crawler_bypass": true } } ``` ## Update zone-level Waiting Room settings `client.waitingRooms.settings.update(SettingUpdateParamsparams, RequestOptionsoptions?): SettingUpdateResponse` **put** `/zones/{zone_id}/waiting_rooms/settings` Update zone-level Waiting Room settings ### Parameters - `params: SettingUpdateParams` - `zone_id: string` Path param: Identifier. - `search_engine_crawler_bypass?: boolean` Body param: Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Returns - `SettingUpdateResponse` - `search_engine_crawler_bypass: boolean` Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const setting = await client.waitingRooms.settings.update({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(setting.search_engine_crawler_bypass); ``` #### Response ```json { "result": { "search_engine_crawler_bypass": true } } ``` ## Patch zone-level Waiting Room settings `client.waitingRooms.settings.edit(SettingEditParamsparams, RequestOptionsoptions?): SettingEditResponse` **patch** `/zones/{zone_id}/waiting_rooms/settings` Patch zone-level Waiting Room settings ### Parameters - `params: SettingEditParams` - `zone_id: string` Path param: Identifier. - `search_engine_crawler_bypass?: boolean` Body param: Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Returns - `SettingEditResponse` - `search_engine_crawler_bypass: boolean` Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted }); const response = await client.waitingRooms.settings.edit({ zone_id: '023e105f4ecef8ad9ca31a8372d0c353', }); console.log(response.search_engine_crawler_bypass); ``` #### Response ```json { "result": { "search_engine_crawler_bypass": true } } ``` ## Domain Types ### Setting - `Setting` - `search_engine_crawler_bypass: boolean` Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Setting Get Response - `SettingGetResponse` - `search_engine_crawler_bypass: boolean` Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Setting Update Response - `SettingUpdateResponse` - `search_engine_crawler_bypass: boolean` Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics. ### Setting Edit Response - `SettingEditResponse` - `search_engine_crawler_bypass: boolean` Whether to allow verified search engine crawlers to bypass all waiting rooms on this zone. Verified search engine crawlers will not be tracked or counted by the waiting room system, and will not appear in waiting room analytics.